#ifndef __KPBITMAPLISTITEM_H
#define __KPBITMAPLISTITEM_H

#include <qlistbox.h>

class KPBitmapListItem : public QListBoxText
{
public:
    KPBitmapListItem(QListBox *listBox, const QString &text, const QColor &c);
    const QColor color(){return(colorBrush.color());}
    int height(const QListBox *);
    int width(const QListBox *);
protected:
    virtual void paint(QPainter *p);

    QBrush colorBrush;
};

#endif

